Name: kuake
Version: 0.3
Release: alt4
Summary: Console application for KDE with look and feeel of Quake engine
License: GPL
Group: Terminals
Url: http://www.nemohackers.org/
Packager: Nick S. Grechukh <gns@altlinux.ru>
Source0: %name-%version.tar.gz
Patch0: %name-align_bottom.patch
Patch1: %name-menu_icon.patch
# Automatically added by buildreq on Sat Jun 05 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ hostinfo kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel xml-utils zlib-devel

%description
Kuake is a konsole application for the KDE desktop which follows the look and
feel of that in the Quake engine. It has good integration with the KDE desktop
meaning it's very possible to use on a regular basis.

%prep
%setup
%__subst "s/\.la\"/\.so\"/g" configure
%patch0
%patch1

%build
%configure --disable-rpath
%make

%install
%makeinstall

%__mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Terminals %buildroot/%_datadir/applnk/Utilities/%name.desktop %buildroot/%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING ChangeLog README NEWS
%_datadir/doc/HTML/en/%name
%_bindir/%name
%_menudir/%name
%_datadir/applnk/Utilities/*.desktop
#%_datadir/icons/*
%_datadir/apps/%name

%changelog
* Mon Jun 07 2004 Nick S. Grechukh <gns@altlinux.ru> 0.3-alt4
- fixed bug with ignoring bottom alignment from config. Menu icon changed to standard Konsole. Spec cleaned.

* Mon Jun 07 2004 Nick S. Grechukh <gns@altlinux.ru> 0.3-alt3
- group changed to terminals

* Sat Jun 05 2004 Nick S. Grechukh <gns@altlinux.ru> 0.3-alt2
- first Sisyphus build
- known bug: html docs absent. working...
